<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Exception;

use DomainException;

use function sprintf;

final class ValeurNoteInvalideException extends DomainException
{
    public static function valeurNegative(float $value): self
    {
        return new self(sprintf(
            'La valeur de la note ne peut pas être négative, %s donné.',
            $value,
        ));
    }

    public static function depasseBareme(float $value, int $maxValue): self
    {
        return new self(sprintf(
            'La valeur de la note (%s) dépasse le barème maximum (%d).',
            $value,
            $maxValue,
        ));
    }
}
